Download!Cheap American Truck Simulator. Download now!

Better Flares Compatible with Jazzycat Packages v3 ATS 1.29

Supported Jazzycat packs:
– AI Traffic Pack v3.5.1
– Classic cars AI Traffic Pack v1.5
– Truck Traffic Pack v1.8
– Painted Truck and Trailers Traffic Pack v1.3
– Bus Traffic Pack v1.2
– Mexican Traffic Pack v1.6
Mod is compatible with latest releases of those packs. And yes you are right, BFv3.0 Jazzycat addons
should have higher priority than Jazzycat packs.

Credits: Avelium

DOWNLOAD

Leave a Reply